---
title: CSSUnparsedValue.forEach()
slug: Web/API/CSSUnparsedValue/forEach
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - Method
  - NeedsExample
  - Reference
  - forEach()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnparsedValue.forEach()</code></strong> method executes a provided function once for each element of the {{domxref('CSSUnparsedValue')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>CSSUnparsedValue</var>.forEach(function <var>callback(currentValue[, index[, array]]) {
    // your iterator
}</var>[, <var>thisArg</var>]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>callback</code></dt>
 <dd>The function to execute for each element, taking three arguments:
 <dl>
  <dt><code><var>currentValue</var></code></dt>
  <dd>The value of the current element being processed.</dd>
  <dt><code><var>index</var></code>{{optional_inline}}</dt>
  <dd>The index of the current element being processed.</dd>
  <dt><code><var>array</var></code>{{optional_inline}}</dt>
  <dd>The <code>CSSUnparsedValue</code> that <code>forEach()</code> is being called on.</dd>
 </dl>
 </dd>
 <dt><code><var>thisArg</var></code> {{Optional_inline}}</dt>
 <dd>
 <p>Value to use as <code><strong>this</strong></code> (i.e the reference <code>Object</code>) when executing <code><var>callback</var></code>.</p>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssunparsedvalue','forEach()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue.forEach")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSUnparsedValue.CSSUnparsedValue()")}}</li>
 <li>{{domxref("CSSUnparsedValue.entries")}}</li>
 <li>{{domxref("CSSUnparsedValue.keys")}}</li>
 <li>{{domxref("CSSUnparsedValue.length")}}</li>
 <li>{{domxref("CSSUnparsedValue.values")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
